
// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
const moment = require("../../utils/moment.min")
// pages/meMatch/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '比赛管理', leftArrow: true, useBar: false },
    src: '/image/home.png',
    // 主体高度
    infoHeight: '',
    //待申请-报名中比赛列表
    list: [],
    //已申请-报名的比赛列表
    alreadyList: [],
    //团队
    list1: {},
    apply_time: ''
  },
  back: function () {
    wx.navigateBack({ url: '/pages/me/index' })
  },
  //报名比赛
  signUp: function (e) {
    let team_id = this.data.list1._id;
    let team_name = this.data.list1.name;
    let logo = this.data.list1.logo;
    let create_id = this.data.list1.create_id;
    let create_user = this.data.list1.create_user;
    let create_time = this.data.list1.create_time;
    let members = this.data.list1.members;
    let match_num = this.data.list1.members.length;
    let apply_time = this.data.apply_time;
    wx.showModal({
      title: '',
      content: '是否申请报名入',
      success(res) {
        if (res.confirm) {
          wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/matchteam`, //接口地址
            method: 'post',
            data: {
              match_id: e.currentTarget.dataset.id,
              match_name: e.currentTarget.dataset.name,
              team_id: team_id,
              team_name: team_name,
              logo: logo,
              create_id: create_id,
              create_user: create_user,
              create_time: create_time,
              members: members,
              match_num: match_num,
              apply_time: apply_time,
            },
            success(res) {
              if (res.data.errcode == 0) {
                wx.showToast({
                  title: `报名成功`,
                  icon: 'success',
                  duration: 2000
                })

              } else {
                wx.showToast({
                  title: res.data.errmsg,
                  icon: 'none',
                  duration: 2000
                })
              }
            }
          })
        } else if (res.cancel) { }
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let apply_time = moment().format('YYYY-MM-DD HH:mm:ss');
    this.setData({ apply_time: apply_time });
    this.setData({ list1: JSON.parse(options.list) })
    // 计算高度
    this.searchHeight();
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    var that = this;
    let team_id = this.data.list1._id;
    wx.getStorage({
      key: 'token',
      success: res => {
        //待申请-报名中的比赛
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/match`, //接口地址
          method: 'get',
          data: { status: '1' },
          success(res) {
            that.setData({ list: res.data.data })
          }
        })
        //已申请-已报名的比赛
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/matchteam`, //接口地址
          method: 'get',
          data: { team_id: team_id },
          success(res) {
            that.setData({ alreadyList: res.data.data })
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 减去状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2)
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})